Debian Bug report logs - #457740
remove \n from syslinux splash screens

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Tzafrir Cohen <tzafrir.cohen@xorcom.com>

Date: Tue, 25 Dec 2007 09:54:01 UTC

Severity: minor

Found in version live-helper/1.0~a37-2

Fixed in version live-helper/1.0~a38-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#457740; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
To: submit@bugs.debian.org
Subject: remove \n from syslinux splash screens
Date: Tue, 25 Dec 2007 11:51:05 +0200
Package: live-helper
Version: 1.0~a37-2
Severity: minor

When I boot my live CD I see that all the splash screens have a newline
before the word 'boot:', even though the text is of the same sentence
('press Enter to boot:').

The splash screens should not end with a \n (in vim: 'set bin noeol|w'.)

In addition this will remove a line of text, so all the screens, except
the initial one, will need an extra blank line.

-- 
               Tzafrir Cohen
icq#16849755              jabber:tzafrir.cohen@xorcom.com
+972-50-7952406           mailto:tzafrir.cohen@xorcom.com
http://www.xorcom.com  iax:guest@local.xorcom.com/tzafrir




Tags added: pending Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Tue, 15 Jan 2008 20:30:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tzafrir Cohen <tzafrir.cohen@xorcom.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 457740-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 457740-close@bugs.debian.org
Subject: Bug#457740: fixed in live-helper 1.0~a38-1
Date: Tue, 26 Feb 2008 17:47:03 +0000
Source: live-helper
Source-Version: 1.0~a38-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0~a38-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0~a38-1.diff.gz
live-helper_1.0~a38-1.dsc
  to pool/main/l/live-helper/live-helper_1.0~a38-1.dsc
live-helper_1.0~a38-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0~a38-1_all.deb
live-helper_1.0~a38.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0~a38.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 457740@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 26 Feb 2008 13:33:00 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0~a38-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live helper programs
Closes: 444565 453360 454553 457595 457740
Changes: 
 live-helper (1.0~a38-1) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * Implement -u/--usage function in lh_clean (Closes: #454553)
   * Implement -v/--version and -h/--help in lh_clean.
   * Remove 'ssl' package references from mini and minimal hooks.
   * Don't prompt when autoremoving packages in minimal hooks.
   * Don't put more than one glob on a 'for' line, unless they are
     guaranteed
   * Refactor installing file to binary/pool/main/./.* functionality.
   * Remove conditionals, as an expansion never 'fails': it just
   * Move installing binary.deb/archives/*.deb.
   * Use Install_file for udebs.
   * Refactor d-i udeb handling with better failure mode (Closes:
     #444565)
   * Re-add guards against bogus 'for' shell expansion.
   * Re-order hooks such that local hooks are executed first. (Closes:
     #453360)
   * Remove trailing newline from syslinux splash screens. (Closes:
     #457740)
   * Remove duplicated 'irpas' package in rescue list.
   * Use C-style 'include' in lists (backwards compatible).
 .
   [ Daniel Baumann ]
   * New upstream release.
   * Fixing typing error in Makefile.
   * Also removing manpage cache in cleanup.
   * Fixed incomplete fdisk parameter list in lh_config --help.
   * Don't fail silently when extern executables are configured but not
     present.
   * Fixing changelog email address.
   * Bumping standards version.
   * Removing mkisofs from recommends, not needed anymore.
   * Updating rules.
   * Checking LH_APT when using mini and minimal package lists.
   * Adding example binary hook to copy live-helper and its config based
     on the idea from Tzafrir Cohen <tzafrir.cohen@xorcom.com>.
   * Adding lh_local based on the idea from Tzafrir Cohen
     <tzafrir.cohen@xorcom.com>.
   * Addjusting lh helper to be called from lh_local.
   * Switching to GPL3+.
   * Removing discover from standard-x11 list, udev does the same.
   * Don't fail if resolv.conf is a symlink, thanks to David Madore
     <david.madore@ens.fr> (Closes: #457595).
   * Fixing changelog.
   * Consistently using the pipe as seperator in sed commands now.
   * Checking for /sys/class rather than /sys/kernel, avoids problem when
     running under OpenVZ which doesn't have sys/kernel, thanks to
     Takeshi Yaegashi <yaegashi@debian.org>.
   * Using ftp.us.debian.org rather than ftp.debian.org, see
     http://lists.debian.org/debian-devel-announce/2007/12/msg00002.html.
   * Fixing typo, thanks to Fathi Boudra <fabo@debian.org>.
   * Merging old live-package debian changelog into current debian
     changelog.
   * Merging old live-package debian changelog entry for testing upload.
   * Renaming mini flavour to stripped to avoid confusion, thanks to
     Fathi Boudra <fabo@debian.org> and Ben Armstrong <synrg@debian.org>.
   * Installing initramfs generator from local-packages, if available.
   * Removing install call for old changelog, which is not needed
     anymore.
   * Correcting wrong installation attempt of initramfs generator from
     local-packages.
   * Working arround aptitude behaviour of removing packages rather than
     to installing missing depends when using initramfs generator from
     local-packages.
   * Removing unintendet set -x.
   * Fixing typo.
   * Adding apt/aptitude options.
   * Renaming extra bootstrap indices to chroot.
   * Renaming LH_MIRROR_BOOTSTRAP* to LH_MIRROR_CHROOT and introducing
     dedicated LH_MIRROR_BOOTSTRAP for debootstrap/cdebootstrap only.
   * Improving etch compat warnings.
   * Fixing aptitude typo.
   * Fixing quoting with chroot wrapper calls.
   * Re-adding additional indices updated, otherwise we wouldn't honor
     thirdparty repositories (anymore).
   * Updating devel-live package list.
 .
   [ Otavio Salvador ]
   * bootstrap: adds support to debootstrap 1.0.7
   * bootstrap: use minbase flavour when LH_PACKAGES_LISTS is set to
     minimal
   * binary: do not fail if parameters.txt isn't available
   * chroot: don't fail if /dev/pts is already mounted
   * debian: add mtd-tools in suggests field since it's used when jffs2
     is choosen
   * lh_source_debian: add mtd-tools since it provides mkfs.jffs2
     application
   * lh_config: add jffs2 in supported filesystems
   * lh_binary_encryption: add jffs2 as not supported filesystem
   * lh_binary_rootfs: add support to generate jffs2 filesystem
Files: 
 598393db7852f5ed589ee49a07207803 854 misc optional live-helper_1.0~a38-1.dsc
 40c2e0cc8582b790e450c577e66c9542 1936202 misc optional live-helper_1.0~a38.orig.tar.gz
 bcc59f105418570548f19634494598eb 11061 misc optional live-helper_1.0~a38-1.diff.gz
 4ee003ae06fba55a918f8852b2c05d40 1880308 misc optional live-helper_1.0~a38-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHxE3r+C5cwEsrK54RAs8XAJ43RSdV9d0DOIrAvOzCnhTwZXWDNQCaAu4q
Vc5e0S5Z0FuM5G/I05ynDvk=
=FsYJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2008 07:30:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:23:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.